%global momorel 5

Summary:	This is the perl5 TimeDate distribution. It requires perl version 5.003 or later
Name:		perl-TimeDate
Version:	1.20
Release:	%{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Languages
URL:		http://www.cpan.org/modules/by-module/Time/
Source0:	http://www.cpan.org/authors/id/G/GB/GBARR/TimeDate-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
Obsoletes:      perl-Time-Date
Provides:       perl-Time-Date

%description
This distribution replaces my earlier GetDate distribution, which was
only a date parser. The date parser contained in this distribution is
far superior to the yacc based parser, and a *lot* fatser.

%prep
%setup -q -n TimeDate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog
%{perl_vendorlib}/Date/*
%{perl_vendorlib}/Time/Zone.pm
%{_mandir}/man?/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.20-5m)
- full rebuild for mo7 release

* Tue Jul 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-4m)
- rename from perl-Time-Date to perl-TimeDate

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.19-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Sun Sep 20 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-9m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.16-8m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.16-7m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.16-6m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.16-5m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.16-4m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.16-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.16-2m)
- remove Epoch from BuildRequires

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.16-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.14-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.14-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.14-1m)
- rebuild against perl-5.8.0

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (1.10-10k)
- remove perl_sitearch directory

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.10-8k)
- rebuild against for perl-5.6.1

* Thu Nov 30 2000 Kenichi Matsubara <m@kondara.org>
- bugfix.

* Thu Nov 30 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- bugfix

* Wed Nov 29 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- 1st release
